src/base/cs_field_operator.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_field_operator.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_field.h"`
`#include "cs_gradient_perio.h"`
`#include "cs_log.h"`
`#include "cs_map.h"`
`#include "cs_parall.h"`
`#include "cs_mesh_location.h"`
`#include "cs_field_operator.h"`
Include dependency graph for cs_field_operator.c:

## Functions
void | cs_field_gradient_scalar (const cs_field_t *f, bool use_previous_t, cs_gradient_type_t gradient_type, cs_halo_type_t halo_type, int inc, bool recompute_cocg, int n_r_sweeps, int verbosity, int clip_mode, double epsilon, double extrap, double clip_coeff, cs_real_3_t *restrict grad)
| Compute cell gradient of scalar field or component of vector or tensor field. More...
void | cs_field_gradient_potential (const cs_field_t *f, bool use_previous_t, cs_gradient_type_t gradient_type, cs_halo_type_t halo_type, int inc, bool recompute_cocg, int n_r_sweeps, int hyd_p_flag, int verbosity, int clip_mode, double epsilon, double extrap, double clip_coeff, cs_real_3_t f_ext[], cs_real_3_t *restrict grad)
| Compute cell gradient of scalar field or component of vector or tensor field. More...
void | cs_field_gradient_vector (const cs_field_t *f, bool use_previous_t, cs_gradient_type_t gradient_type, cs_halo_type_t halo_type, int inc, int n_r_sweeps, int verbosity, int clip_mode, double epsilon, double clip_coeff, cs_real_33_t *restrict grad)
| Compute cell gradient of scalar field or component of vector or tensor field. More...

## Detailed Description

Field based algebraic operators.

## Function Documentation

void cs_field_gradient_potential | ( | const cs_field_t * | f,
|  | bool | use_previous_t,
|  | cs_gradient_type_t | gradient_type,
|  | cs_halo_type_t | halo_type,
|  | int | inc,
|  | bool | recompute_cocg,
|  | int | n_r_sweeps,
|  | int | hyd_p_flag,
|  | int | verbosity,
|  | int | clip_mode,
|  | double | epsilon,
|  | double | extrap,
|  | double | clip_coeff,
|  | cs_real_3_t | f_ext[],
|  | cs_real_3_t *restrict | grad
| ) |  |

Compute cell gradient of scalar field or component of vector or tensor field.

Parameters

  [in] | f | pointer to field
  [in] | use_previous_t | should we use values from the previous time step ?
  [in] | gradient_type | gradient type
  [in] | halo_type | halo type
  [in] | inc | if 0, solve on increment; 1 otherwise
  [in] | recompute_cocg | should COCG FV quantities be recomputed ?
  [in] | n_r_sweeps | if > 1, number of reconstruction sweeps
  [in] | hyd_p_flag | flag for hydrostatic pressure
  [in] | verbosity | verbosity level
  [in] | clip_mode | clipping mode
  [in] | epsilon | precision for iterative gradient calculation
  [in] | extrap | boundary gradient extrapolation coefficient
  [in] | clip_coeff | clipping coefficient
  [in] | f_ext | exterior force generating the hydrostatic pressure
  [out] | grad | gradient

void cs_field_gradient_scalar | ( | const cs_field_t * | f,
|  | bool | use_previous_t,
|  | cs_gradient_type_t | gradient_type,
|  | cs_halo_type_t | halo_type,
|  | int | inc,
|  | bool | recompute_cocg,
|  | int | n_r_sweeps,
|  | int | verbosity,
|  | int | clip_mode,
|  | double | epsilon,
|  | double | extrap,
|  | double | clip_coeff,
|  | cs_real_3_t *restrict | grad
| ) |  |

Compute cell gradient of scalar field or component of vector or tensor field.

(end ignore by Doxygen)

(end ignore by Doxygen)

Parameters

  [in] | f | pointer to field
  [in] | use_previous_t | should we use values from the previous time step ?
  [in] | gradient_type | gradient type
  [in] | halo_type | halo type
  [in] | inc | if 0, solve on increment; 1 otherwise
  [in] | recompute_cocg | should COCG FV quantities be recomputed ?
  [in] | n_r_sweeps | if > 1, number of reconstruction sweeps
  [in] | verbosity | verbosity level
  [in] | clip_mode | clipping mode
  [in] | epsilon | precision for iterative gradient calculation
  [in] | extrap | boundary gradient extrapolation coefficient
  [in] | clip_coeff | clipping coefficient
  [out] | grad | gradient

void cs_field_gradient_vector | ( | const cs_field_t * | f,
|  | bool | use_previous_t,
|  | cs_gradient_type_t | gradient_type,
|  | cs_halo_type_t | halo_type,
|  | int | inc,
|  | int | n_r_sweeps,
|  | int | verbosity,
|  | int | clip_mode,
|  | double | epsilon,
|  | double | clip_coeff,
|  | cs_real_33_t *restrict | grad
| ) |  |

Compute cell gradient of scalar field or component of vector or tensor field.

Parameters

  [in] | f | pointer to field
  [in] | use_previous_t | should we use values from the previous time step ?
  [in] | gradient_type | gradient type
  [in] | halo_type | halo type
  [in] | inc | if 0, solve on increment; 1 otherwise
  [in] | recompute_cocg | should COCG FV quantities be recomputed ?
  [in] | n_r_sweeps | if > 1, number of reconstruction sweeps
  [in] | verbosity | verbosity level
  [in] | clip_mode | clipping mode
  [in] | epsilon | precision for iterative gradient calculation
  [in] | extrap | boundary gradient extrapolation coefficient
  [in] | clip_coeff | clipping coefficient
  [in] | f_ext | exterior force generating the hydrostatic pressure
  [out] | grad | gradient